<?php

App::uses('EvSlideshowAppController', 'EvSlideshow.Controller');

/**
 * SlideshowSlides Controller
 *
 */
class SlideshowsController extends EvSlideshowAppController {

/**
 * Defines the fields displayed in an admin_form for this model and defaults
 * to all fields in the db table
 *
 * @return array Contains the form fields to display on the template
 */
	protected function _adminFormFields() {
		$fields = parent::_adminFormFields();

		$Slideshow = $this->{$this->modelClass};

		if (! $this->Permissions->hasSuperAdminPermission($this->Auth->user())) {
			// Remove the system name field as it can only be set by a super admin and shouldn't be changed
			if (isset($fields[$Slideshow->alias . '.system_name'])) {
				unset($fields[$Slideshow->alias . '.system_name']);
			}

			if (isset($fields[$Slideshow->alias . 'SlideShow.is_protected'])) {
				unset($fields[$Slideshow->alias . 'SlideShow.is_protected']);
			}

			if (isset($fields[$Slideshow->alias . '.available_slides'])) {
				unset($fields[$Slideshow->alias . '.available_slides']);
			}

			if (isset($fields[$Slideshow->alias . '.width'])) {
				unset($fields[$Slideshow->alias . '.width']);
			}

			if (isset($fields[$Slideshow->alias . '.height'])) {
				unset($fields[$Slideshow->alias . '.height']);
			}
		}

		// add info message to the available_slides field
		if (isset($fields[$Slideshow->alias . '.available_slides'])) {
			$fields[$Slideshow->alias . '.available_slides']['displayInfo'] = 'Assign the number of slides available to the slideshow, where the default value of -1 represents infinte slides';
		}

		// Add note about dimensions
		if (isset($fields[$Slideshow->alias . '.height'])) {
			$fields[$Slideshow->alias . '.height']['displayInfo'] = 'Enter a recommended width/height for display to the client. Each field is optional.';
		}

		return $fields;
	}

	public function admin_edit($id = null) {
		$Model = $this->{$this->modelClass};

		$modelAlias = $Model->alias;

		parent::admin_edit($id);

		// populate slide variables, if required
		$this->_populateSlideLookups();

		$this->set('slideFields', $this->_assembleAdminSlideFields());

		//Get slide image slots so that they can be added to slides
		$this->set('slideImageSlots', $Model->Slide->imageSlots);

		$this->view = 'EvSlideshow./Slideshows/admin_form';
	}

}
